Skip to main content
POST
/
v1
/
playbooks
/
get
GetPlaybook
curl --request POST \
  --url https://app.textql.com/v1/playbooks/get \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "playbookId": "<string>",
  "limit": 1,
  "offset": 1
}
'
{
  "playbook": {
    "id": "<string>",
    "orgId": "<string>",
    "memberId": "<string>",
    "connectorId": 123,
    "name": "<string>",
    "prompt": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "status": "STATUS_UNKNOWN",
    "triggerType": "TRIGGER_TYPE_UNKNOWN",
    "cronString": "<string>",
    "datasetIds": [
      "<string>"
    ],
    "referenceReportId": "<string>",
    "latestChatId": "<string>",
    "emailAddresses": [
      "<string>"
    ],
    "slackChannelId": "<string>",
    "taggedSlackUserIds": [
      "<string>"
    ],
    "llmModel": "MODEL_UNKNOWN",
    "paradigmOptions": {
      "basic": {}
    },
    "paradigmType": "TYPE_UNKNOWN",
    "isRunning": true,
    "owner": {
      "memberId": "<string>",
      "memberEmail": "<string>",
      "memberName": "<string>",
      "memberPictureUrl": "<string>"
    },
    "hasWritePermission": true,
    "isSubscribed": true,
    "reportOutputStyle": "REPORT_STYLE_UNKNOWN",
    "templateHeaderId": "<string>",
    "selectedTemplateDataIds": [
      "<string>"
    ],
    "maxConcurrentTemplates": 123,
    "autoOptimizeConcurrency": true,
    "connectorIds": [
      123
    ]
  },
  "reports": [
    {
      "id": "<string>",
      "chatId": "<string>",
      "cellId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "subject": "<string>",
      "summary": "<string>",
      "blocks": [
        {
          "card": {
            "blocks": "<array>"
          }
        }
      ],
      "htmlPreview": "<string>",
      "playbookId": "<string>",
      "readAt": "2023-11-07T05:31:56Z",
      "playbookTemplateDataId": "<string>"
    }
  ],
  "totalReportsCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
playbookId
string
Minimum string length: 1
limit
integer<int32>
Required range: x >= 0
offset
integer<int32>
Required range: x >= 0

Response

Success

playbook
playbook · object
reports
PlaybookReport · object[]
totalReportsCount
integer<int32>